/api/public/v1/preference-templatespreference_templates.list
Browser preference templates with latest revision, values and how many visible profiles are behind; include_archived=true adds archived ones.
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
include_archivedquery | "true" | "false" | boolean | No | Also list archived templates |
Examples
curl "https://browlix.com/api/public/v1/preference-templates" \
-H "Authorization: Bearer $BROWLIX_API_KEY"Response
200 with { data, correlation_id }.
Errors
| Code | HTTP | Retryable |
|---|---|---|
| UNAUTHENTICATED | 401 | No |
| FORBIDDEN | 403 | No |
| RATE_LIMITED | 429 | Yes |
| VALIDATION_FAILED | 422 | No |
| DEPENDENCY_UNAVAILABLE | 503 | Yes |
| UNKNOWN | 500 | No |
